Skip to main content
POST
/
atlantic-queries
/
{atlanticQueryId}
/
retry
Retry a failed Atlantic query.
curl --request POST \
  --url https://atlantic.api.herodotus.cloud/atlantic-queries/{atlanticQueryId}/retry \
  --header 'api-key: <api-key>'
{
  "atlanticQuery": {
    "id": "<string>",
    "externalId": "<string>",
    "dedupId": "<string>",
    "transactionId": "<string>",
    "status": "RECEIVED",
    "step": "<string>",
    "programHash": "<string>",
    "integrityFactHash": "<string>",
    "sharpFactHash": "<string>",
    "layout": "<string>",
    "isFactMocked": true,
    "isProofMocked": true,
    "chain": "L1",
    "jobSize": "XS",
    "declaredJobSize": "XS",
    "cairoVm": "rust",
    "cairoVersion": "cairo0",
    "steps": [
      "<string>"
    ],
    "result": "TRACE_GENERATION",
    "network": "MAINNET",
    "hints": "herodotus_evm_grower",
    "sharpProver": "stone",
    "errorReason": "<string>",
    "submittedByClient": "<string>",
    "projectId": "<string>",
    "submittedByWallet": "<string>",
    "bucketId": "<string>",
    "bucketJobIndex": -1,
    "customerName": "<string>",
    "isJobSizeValid": true,
    "retryCount": -1,
    "createdAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z"
  },
  "message": "Query retry initiated"
}

Documentation Index

Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

Path Parameters

atlanticQueryId
string
required

Query Parameters

apiKey
string

Response

Default Response

atlanticQuery
object
required
message
enum<string>
required
Available options:
Query retry initiated